Bug 454589 - setElementAt() doesn't copy value of CMPI_char parameter
setElementAt() doesn't copy value of CMPI_char parameter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
5.3
All Linux
low Severity high
: rc
: ---
Assigned To: Vitezslav Crhonek
SanityOnly
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 02:48 EDT by Tim Potter
Modified: 2009-06-20 00:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Potter 2008-07-09 02:48:45 EDT
Description of problem:

From OpenPegasus bugzilla 7766 at:

http://cvs.opengroup.org/bugzilla/show_bug.cgi?id=7766

"When calling setElementAt with a CMPIValue that is of type CMPI_chars, only the
char pointer is copied, not the contents.  This leads to a dangling pointer if
the character data has a lifetime less than the array in question."

I was wondering whether this patch could be rolled into the next release of the
RedHat tog-pegasus RPM?  Without this fix CMPI providers can crash, and since
out-of-process providers are not enabled this causes the entire cimserver to crash.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2008-09-10 07:27:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Chris Ward 2008-11-28 02:14:50 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 5 Miroslav Vadkerti 2008-12-12 07:58:28 EST
verified from partners, adding otherQA and SanityOnly, as I couldn't test this bug.
Comment 7 errata-xmlrpc 2009-01-20 17:19:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0250.html

Note You need to log in before you can comment on or make changes to this bug.